diff -u -r d-shlibs-0.47.orig/d-shlibmove d-shlibs-0.47/d-shlibmove
--- d-shlibs-0.47.orig/d-shlibmove	2011-07-02 15:44:26.000000000 +0200
+++ d-shlibs-0.47/d-shlibmove	2011-08-14 18:00:17.817115860 +0200
@@ -97,6 +97,7 @@
 DEVUNVERSIONED=no
 IGNORELIBDEP=no
 INCLUDELA=yes
+MULTIARCH=no
 while [ -n "$1" ]; do
     case $1 in
 	--moveshl)
@@ -115,6 +116,10 @@
 	    DOIT=yes
 	    shift;
 	    ;;
+	--multiarch)
+	    MULTIARCH=yes
+	    shift;
+	    ;;
 	--extralib)
 	    readlibnameinfo "$2"
 	    DEVLIB_TO_CHECK="${DEVLIB_TO_CHECK} $2"
@@ -219,6 +224,10 @@
     echo "mv ${A} debian/${PKGDEV}/${B}" >> "${execscript}"
 done
 
+if [ "${MULTIARCH}" = "yes" ]; then
+    sed -i -e "s/usr\/lib\( || true\)\?$/usr\/lib\/$(dpkg-architecture -qDEB_HOST_MULTIARCH)\1/" "${execscript}"
+fi
+
 cat "${execscript}"
 
 # check the syntax of the control file.
diff -u -r d-shlibs-0.47.orig/d-shlibmove.1 d-shlibs-0.47/d-shlibmove.1
--- d-shlibs-0.47.orig/d-shlibmove.1	2011-06-10 03:03:45.000000000 +0200
+++ d-shlibs-0.47/d-shlibmove.1	2011-08-14 17:59:06.242683425 +0200
@@ -47,6 +47,14 @@
 shared library.
 
 .TP
+.BI "--multiarch"
+
+By default
+.B d-shlibmove
+installs the shared library and any extralibs into /usr/lib.
+Add this flag to install them into /usr/lib/<architecture-tripplet> instead.
+
+.TP
 .BI "--commit"
 
 By default
